1. 13 Mar, 2014 1 commit
  2. 11 Mar, 2014 1 commit
  3. 06 Mar, 2014 1 commit
    • Stephen Kelly's avatar
      find_dependency: Don't propagate EXACT argument. · 08ba128f
      Stephen Kelly authored
      If a package is requested with an EXACT version, that doesn't imply
      that dependencies must be found EXACTly too.
      
      Extend the macro to allow specifying that a dependency must be found
      by EXACT version instead.
      08ba128f
  4. 26 Feb, 2014 2 commits
  5. 24 Feb, 2014 2 commits
  6. 23 Feb, 2014 1 commit
    • Alex Merry's avatar
      Always set version variable of find_dependency macro · 5878c5d9
      Alex Merry authored
      If there is no ARGV1, that is fine; version will be made empty, and no
      version will be passed to find_package().
      
      This is relevant when find_dependency is invoked multiple times,
      sometimes with a version specified and sometimes without.
      
       find_dependency(dep1 3.4)
       find_dependency(dep2) # version still set to 3.4.
      5878c5d9
  7. 03 Feb, 2014 1 commit
  8. 13 Dec, 2013 1 commit